#include <tads.h>

/*
 * An XTads test game.
 * Focus is on correct layout after removing banner.
 */
main(args)
{
	local b0 = nil;

    "A banner test game for XTads.\b\b";

    local b1 = bannerCreate(b0, BannerLast, nil, BannerTypeText, BannerAlignLeft,
                       20, BannerSizePercent,
                       BannerStyleVScroll | BannerStyleAutoVScroll | BannerStyleBorder);

	bannerSay(b1, 'b1 20% on lhs');
    "Press a key to continue...\n";
	inputKey();
	
	bannerDelete(b1);
   "After delete b1\nPress a key to continue...\n";
	inputKey();
    
    "\bPress another key to exit...\n";
    inputKey();
}
